Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## gudusoft.gsqlparser
Enum ETableSource

    java.lang.Object
      java.lang.Enum<ETableSource>
          gudusoft.gsqlparser.ETableSource

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ETableSource>

    public enum ETableSource

extends java.lang.Enum<ETableSource>

Enum Constant Summary
`containsTable`
`datachangeTable`
`freetextTable`
`function`
`join`
`objectname`
`opendatasource`
`openquery`
`openrowset`
`openxml`
`rowList`
`subquery`
`tableExpr`
`unknown`

Method Summary
`static ETableSource` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ETableSource[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### unknown

    public static final ETableSource unknown

### objectname

    public static final ETableSource objectname

### subquery

    public static final ETableSource subquery

### tableExpr

    public static final ETableSource tableExpr

### join

    public static final ETableSource join

### function

    public static final ETableSource function

### rowList

    public static final ETableSource rowList

### containsTable

    public static final ETableSource containsTable

### freetextTable

    public static final ETableSource freetextTable

### openrowset

    public static final ETableSource openrowset

### openxml

    public static final ETableSource openxml

### opendatasource

    public static final ETableSource opendatasource

### openquery

    public static final ETableSource openquery

### datachangeTable

    public static final ETableSource datachangeTable

Method Detail

### values

    public static final ETableSource[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ETableSource c : ETableSource.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ETableSource valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD